Loading...
Searching...
No Matches
casacore::NumericTraits_D< Double > Class Reference
scimath package (libcasa_scimath) » Mathematics_module

NumericTraits specialization for Double. More...

`#include <NumericTraits.h>`

## Public Types

typedef Double | value_type
| Template argument.
typedef Double | BaseType
| Numeric type.
typedef DComplex | ConjugateType
| Conjugate (real<->complex) type.
typedef Double | PrecisionType
| Higher precision type (Float->Double).

## Static Public Member Functions

static uInt | size ()
| Number of relevant numeric values.
static void | setImag (value_type &, const BaseType &)
| Set the imaginary part of a complex value only (a NOP for reals).
static BaseType | getValue (const value_type &other, const uInt)
| Get the nsize()-th numeric value.
static void | setValue (value_type &other, const BaseType &val, const uInt)
| Set the nsize()-th numeric value.

## Static Public Attributes

static const Double & | epsilon
| Relevant minimum and maximum numbers.
static const Double & | minimum
static const Double & | maximum

## Detailed Description

NumericTraits specialization for Double.

Definition at line 291 of file NumericTraits.h.

## Member Typedef Documentation

## BaseType

typedef Double casacore::NumericTraits_D< Double >::BaseType

Numeric type.

Definition at line 296 of file NumericTraits.h.

## ConjugateType

typedef DComplex casacore::NumericTraits_D< Double >::ConjugateType

Conjugate (real<->complex) type.

Definition at line 298 of file NumericTraits.h.

## PrecisionType

typedef Double casacore::NumericTraits_D< Double >::PrecisionType

Higher precision type (Float->Double).

Definition at line 300 of file NumericTraits.h.

## value_type

typedef Double casacore::NumericTraits_D< Double >::value_type

Template argument.

Definition at line 294 of file NumericTraits.h.

## Member Function Documentation

## getValue()

BaseType casacore::NumericTraits_D< Double >::getValue | ( | const value_type & | other,
|  | const uInt | )

inline static

Get the nsize()-th numeric value.

Definition at line 312 of file NumericTraits.h.

## setImag()

void casacore::NumericTraits_D< Double >::setImag | ( | value_type & | ,
|  | const BaseType & | )

inline static

Set the imaginary part of a complex value only (a NOP for reals).

Definition at line 310 of file NumericTraits.h.

## setValue()

void casacore::NumericTraits_D< Double >::setValue | ( | value_type & | other,
|  | const BaseType & | val,
|  | const uInt | )

inline static

Set the nsize()-th numeric value.

Definition at line 315 of file NumericTraits.h.

## size()

uInt casacore::NumericTraits_D< Double >::size | ( |  | ) |

inline static

Number of relevant numeric values.

Definition at line 308 of file NumericTraits.h.

## Member Data Documentation

## epsilon

const Double& casacore::NumericTraits_D< Double >::epsilon

static

Relevant minimum and maximum numbers.

Definition at line 303 of file NumericTraits.h.

## maximum

const Double& casacore::NumericTraits_D< Double >::maximum

static

Definition at line 305 of file NumericTraits.h.

## minimum

const Double& casacore::NumericTraits_D< Double >::minimum

static

Definition at line 304 of file NumericTraits.h.

The documentation for this class was generated from the following file:

- scimath/Mathematics/NumericTraits.h